Subject: bug#31169: 26.1; Emacs 26.1 RC1 (gtk) display issues over SSH/X11 with xming/vcxsrv

From: Noam Postavsky <[email-masked]>
Date: Fri, 20 Apr 2018 08:05:12 -0400

Eli Zaretskii <[email-masked]> writes:

> The logic that determines which startup screen to display is in
> use-fancy-splash-screens-p.  Something there causes Emacs to decide
> the second situation cannot handle the fancy splash screen.

Ah, `fancy-splash-frame' checks `frame-visible-p', which, for my window
manager, depends on when I switch to the workspace.  So it's the removal
of the wait for visibility changes again (related to bugs #24091,
#25521, and #29095).  Although setting x-wait-for-event-timeout doesn't
seem to affect this, maybe that's a bug.

I guess for OP's case, the remote X display is just a bit slow, so the
frame doesn't become visible in time.